common/models/DeliveryDoc.php
<?php

namespace common\models;

use yii\db\ActiveRecord;

class DeliveryDoc extends ActiveRecord
{
    public static function tableName()
    {
        return '{{%delivery_doc}}';
    }

    public function attributeLabels()
    {
        return [
            'doc_id' => 'ID',
            'numdoc_1c' => '№ документа из 1С',
            'sum' => 'Сумма с НДС',
            'delivery_date' => 'Дата доставки',
            'time_range' => 'Временной диапазон',
        ];
    }

    public function getFactory()
    {
        return $this->hasOne(Factory::className(), ['id' => 'factory_id']);
    }

    public function getArea()
    {
        return $this->hasOne(Area::className(), ['id' => 'area_id']);
    }

    public function getTransportCompany()
    {
        return $this->hasOne(TransportCompany::className(), ['id' => 'transport_company_id']);
    }

    public function getClient()
    {
        return $this->hasOne(Client::className(), ['client_id' => 'client_id']);
    }

    public function getStatusDelivery()
    {
        return $this->hasOne(StatusDelivery::className(), ['id' => 'status_delivery_id']);
    }

    public function getDeliverySurvey()
    {
        return $this->hasOne(DeliverySurvey::className(), ['doc_id' => 'doc_id']);
    }

}

backend/controllers/DeliverySurveyController.php
<?php

namespace backend\controllers;

use backend\models\DeliverySurveyUploadForm;
use common\models\Area;
use common\models\City;
use common\models\Client;
use common\models\DeliveryDoc;
use common\models\DeliverySurvey;
use common\models\DeliverySurveySearch;
use common\models\ClientToken;
use common\models\DeliverySurveyStatus\DeliverySurveyContext;
use common\models\Factory;
use common\models\Log;
use common\models\StatusDelivery;
use common\models\TransportCompany;
use common\models\User;
use common\services\SmsService;
use console\controllers\CronController;
use console\services\CronService;
use yii\filters\AccessControl;
use yii\helpers\Html;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use Yii;
use yii\web\UploadedFile;
use yii\data\Pagination;

/**
 * DeliverySurveyController implements the CRUD actions for DeliverySurvey model.
 */
class DeliverySurveyController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['index', 'create', 'thanks', 'done', 'upload', 'update'],
                'rules' => [
                    [
                        'actions' => ['create', 'thanks', 'done'],
                        'allow' => true,
                    ],
                    [
                        'actions' => ['index', 'upload', 'update'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
        ];
    }

    /**
     * Lists all DeliverySurvey models.
     * @return mixed
     */
    public function actionIndex()
    {
        $request = Yii::$app->request;
        $post = $request->post();
        $form = null;
        $uploadModel = new DeliverySurveyUploadForm();
        $die = [
            'totalAll' => 0,
            'total' => 0,
            'badNps' => 0,
            'expired' => 0,
            'new' => 0,
            'taken' => 0,
        ];
        $session = Yii::$app->session;

        $query = DeliverySurvey::find()
            ->joinWith('deliveryDoc')
            ->where(['not', ['nps' => null]]);
        if ($request->isPost) {
            $form = $post['Form'];
            $dates = explode(' - ', $form['deliveryDate']);
            $date0 = $dates[0];
            $date1 = $dates[1];
            $query = $query->andWhere([
                'between',
                'delivery_survey.created_at',
                strtotime($date0), strtotime('tomorrow', strtotime($date1)) - 1
            ]);
            //todo переделать условия, фильтры по post, session
            if ($form['transportCompanyId']) {
                $query = $query->andWhere(['delivery_doc.transport_company_id' => $form['transportCompanyId']]);
                $session->set('transportCompanyId', $form['transportCompanyId']);
            }
            if ($form['statusDeliveryId']) {
                $query = $query->andWhere(['delivery_doc.status_delivery_id' => $form['statusDeliveryId']]);
                $session->set('statusDeliveryId', $form['statusDeliveryId']);
            }
            if ($form['timeRangeName']) {
                $query = $query->andWhere(['delivery_doc.time_range' => $form['timeRangeName']]);
                $session->set('timeRangeName', $form['timeRangeName']);
            }
            if ($form['factoryId']) {
                $query = $query->andWhere(['delivery_doc.factory_id' => $form['factoryId']]);
                $session->set('factoryId', $form['factoryId']);
            }
            if ($form['areaId']) {
                $query = $query->andWhere(['delivery_doc.area_id' => $form['areaId']]);
                $session->set('areaId', $form['areaId']);
            }
            if (isset($post['mode'])) {
                if ($post['mode'] == 'all') {
                    //affects only on numbers in dies (not refresh page)
                } elseif ($post['mode'] == 'bad-nps') {
                    $query = $query->andWhere(['in', 'delivery_survey.nps', DeliverySurvey::BAD_NPS]);
                } elseif ($post['mode'] == 'expired') {
                    $query = $query->andWhere(['delivery_survey.status' => DeliverySurvey::STATUS_NEW]);
                } elseif ($post['mode'] == 'new') {
                    $query = $query->andWhere(['delivery_survey.status' => DeliverySurvey::STATUS_NEW]);
                } elseif ($post['mode'] == 'taken') {
                    $query = $query->andWhere(['delivery_survey.status' => DeliverySurvey::STATUS_TAKEN]);
                }
            }
            $session->set('date0', $date0);
            $session->set('date1', $date1);
        } else {
            if ($session->has('transportCompanyId'))
                $query = $query->andWhere(['delivery_doc.transport_company_id' => $session->get('transportCompanyId')]);
            if ($session->has('statusDeliveryId'))
                $query = $query->andWhere(['delivery_doc.status_delivery_id' => $session->get('statusDeliveryId')]);
            if ($session->has('timeRangeName'))
                $query = $query->andWhere(['timeRangeName' => $session->get('timeRangeName')]);
            if ($session->has('factoryId'))
                $query = $query->andWhere(['delivery_doc.factory_id' => $session->get('factoryId')]);
            if ($session->has('areaId'))
                $query = $query->andWhere(['delivery_doc.area_id' => $session->get('areaId')]);

            $date0 = $session->get('date0', date('01-m-Y'));
            $date1 = $session->get('date1', date('d-m-Y', time()));
            $query = $query->andWhere([
                'between',
                'delivery_survey.created_at',
                strtotime($date0), strtotime('tomorrow', strtotime($date1)) - 1
            ]);
        }

        $die['totalAll'] = DeliverySurvey::find()
            ->joinWith('deliveryDoc')
            ->where([
                'between',
                'delivery_survey.created_at',
                strtotime($date0), strtotime('tomorrow', strtotime($date1)) - 1
            ])
            ->count();

        $countQuery = clone $query;
        $pages = new Pagination(['totalCount' => $countQuery->count()]);
        $deliverySurveys = $query->offset($pages->offset)
            ->limit($pages->limit)
            ->orderBy(['survey_id' => SORT_DESC])
            ->all();

        foreach ($countQuery->all() as $item) {
            $die['total']++;
            $die['badNps'] += in_array($item->nps, DeliverySurvey::BAD_NPS, true) ? 1 : 0;
            $die['expired'] += $item->status == DeliverySurvey::STATUS_EXPIRED ? 1 : 0;
            $die['new'] += $item->status == DeliverySurvey::STATUS_NEW ? 1 : 0;
            $die['taken'] += $item->status == DeliverySurvey::STATUS_TAKEN ? 1 : 0;
        }
        $die['badNps'] = round($die['total'] !== 0 ? ($die['badNps'] / $die['total'] * 100) : 0, 1);

        return $this->render('index', [
            'id' => Yii::$app->controller->id,
            'deliverySurveys' => $deliverySurveys,
            'uploadModel' => $uploadModel,
            'pages' => $pages,
            'filters' => [
                'transportCompanyId' => $form ? $form['transportCompanyId'] : $session->has('transportCompanyId') ? $session->get('transportCompanyId') : '',
                'deliveryDate' => $date0 . ' - ' . $date1,
                'statusDeliveryId' => $form ? $form['statusDeliveryId'] : $session->has('statusDeliveryId') ? $session->get('statusDeliveryId') : '',
                'timeRangeName' => $form ? $form['timeRangeName'] : $session->has('timeRangeName') ? $session->get('timeRangeName') : '',
                'factoryId' => $form ? $form['factoryId'] : $session->has('factoryId') ? $session->get('factoryId') : '',
                'areaId' => $form ? $form['areaId'] : $session->has('areaId') ? $session->get('areaId') : '',
                'die' => $die,
            ],
        ]);
    }

    public function actionDeliverySurveyService()
    {

        $deliverySurveys = DeliverySurvey::find()
            ->where(['status' => DeliverySurvey::STATUS_INIT])
            ->andWhere(['in', 'nps', DeliverySurvey::BAD_NPS])
            ->andWhere(['not', ['nps' => null]])
            ->all();
        foreach ($deliverySurveys as $item) {
            $item->status = DeliverySurvey::STATUS_NEW;
            $item->save(false);
        }

//        $user = Yii::$app->user->getIdentity();
//        return in_array($user->id, Yii::$app->authManager->getUserIdsByRole('admin'))
//            || in_array($user->access, User::$levels[1]);

        //        Yii::info([
//            'name' => 'Start: ' . __METHOD__,
//            'time' => $start = microtime(true),
//        ], 'api');
//
//        try {
//            $cron = new CronService();
//            $cron->manageNotifications();
//        } catch (\Exception $e) {
//            $cron::$errors[] = $e->getMessage();
//            Yii::error([
//                'name' => 'api',
//                'error' => $e->getMessage()], 'api');
//        }
//
//        Yii::info([
//            'name' => 'Finish: ' . __METHOD__,
//            'time' => microtime(true) - $start,
//            'memory' => memory_get_usage(true),
//            'emailSentTotal' => CronService::$emailSentTotal,
//        ], 'api');

    }

    /**
     * Displays a single DeliverySurvey model.
     * @param int $survey_id Номер анкеты
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($survey_id)
    {
        return $this->render('view', [
            'model' => $this->findModel($survey_id),
        ]);
    }

    /**
     * Creates a new DeliverySurvey model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate($token)
    {

backend/controllers/UserController.php
<?php

namespace backend\controllers;

use backend\models\DeliverySurveyUploadForm;
use common\models\Area;
use common\models\Client;
use common\models\DeliveryDoc;
use common\models\DeliverySurvey;
use common\models\DeliverySurveySearch;
use common\models\ClientToken;
use common\models\Factory;
use common\models\TransportCompany;
use common\models\User;
use common\services\SmsService;
use yii\filters\AccessControl;
use yii\helpers\Url;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use Yii;
use yii\web\UploadedFile;

class UserController extends Controller
{
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['index', 'create'],
                'rules' => [
//                    [
//                        'actions' => ['create'],
//                        'allow' => true,
//                    ],
                    [
                        'actions' => ['index', 'create', 'update', 'delete'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
        ];
    }

    public function actionIndex()
    {

        $users = User::find()->where(['!=', 'status', User::STATUS_DELETED])->all();

        return $this->render('index', [
            'id' => Yii::$app->controller->id,
            'users' => $users,
        ]);
    }

    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    public function actionCreate()
    {
        $request = Yii::$app->request;

        $model = new User();
        $model->status = User::STATUS_ACTIVE;
        if ($request->isPost) {
            if ($model->load($request->post()) && $model->validate()) {
                $model->status = array_key_exists('status', $this->request->post()['User']) ? User::STATUS_ACTIVE : User::STATUS_INACTIVE;
                $model->setPassword($this->request->post()['User']['password']);
                $model->save(false);
                $model->redirect(['/user']);
            }
        }

        return $this->render('create', [
            'id' => Yii::$app->controller->id,
            'model' => $model,
        ]);
    }

    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost) {
            if ($model->load($this->request->post())) {
                $model->status = array_key_exists('status', $this->request->post()['User']) ? User::STATUS_ACTIVE : User::STATUS_INACTIVE;
                $model->setPassword($this->request->post()['User']['password']);
                $model->save();
                return $this->redirect(['/user']);
            }
        }

        return $this->render('update', [
            'id' => Yii::$app->controller->id,
            'model' => $model,
        ]);
    }

    public function actionDelete($id)
    {
        $model = $this->findModel($id);
        $model->status = User::STATUS_DELETED;
        $model->save();

        return $this->redirect(['/user']);
    }

    protected function findModel($id)
    {
        if (($model = User::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist . ');
    }

}

backend/views/delivery-survey/_form.php
<?php

use yii\helpers\Html;

//use yii\bootstrap4\ActiveForm;
use backend\views\widgets\UserFilterWidget;
use yii\helpers\Url;
use common\models\User;
use common\models\DeliverySurvey;
use yii\widgets\ActiveForm;
use common\models\Log;

?>

<div class="container">
    <div class="header">
        <div class="navbar-aside">
            <div class="mobile-menu btn-aside-menu toggle-sidebar">
                <div class="b-menu">
                    <div class="b-bun b-bun--top"></div>
                    <div class="b-bun b-bun--mid"></div>
                    <div class="b-bun b-bun--bottom"></div>
                </div>
            </div>
        </div>
    </div>
    <?= $this->render('/site/sidebar', [
        'id' => $id,
    ]) ?>
    <div class="content" id="content">
        <div class="page-content">
            <?= UserFilterWidget::widget([
                'deliveryDoc' => $deliveryDoc,
                'title' => 'Опрос b2b / Все анкеты / Профиль клиента',
            ]) ?>
            <div class="client-answer-container">
                <div class="answer-item">
                    <span class="q-text">Таймер</span>
                    <div class="answer-box">
                        <div class="time-interval" data-status-updated-at="<?= $model->status_updated_at ?>"></div>
                    </div>
                </div>
                <p class="answer-title">Ответы клиента</p>
                <div class="answer-item no-border">
                    <span class="q-text">NPS</span>
                    <div class="answer-box">
                        <div class="point-square">
                            <span class="point"><?= $model->nps ?></span>
                        </div>
                        <div class="line"></div>
                    </div>
                </div>
                <div class="answer-item">
                    <span class="q-text">Как вы оцениваете доставку товара?</span>
                    <div class="answer-box">
                        <p class="answer-txt"><?= array_key_exists($model->question1, DeliverySurvey::$values['question1'])
                                ? DeliverySurvey::$values['question1'][$model->question1] : '' ?></p>
                    </div>
                </div>
                <div class="answer-item">
                    <span class="q-text">Курьер приехал в согласованное время доставки?</span>
                    <div class="answer-box">
                        <p class="answer-txt"><?= array_key_exists($model->question2, DeliverySurvey::$values['question2'])
                                ? DeliverySurvey::$values['question2'][$model->question2] : '' ?></p>
                    </div>
                </div>
                <div class="answer-item">
                    <span class="q-text">Как вы оцениваете сохранность упаковки самого товара?</span>
                    <div class="answer-box">
                        <p class="answer-txt"><?= array_key_exists($model->question3, DeliverySurvey::$values['question3'])
                                ? DeliverySurvey::$values['question3'][$model->question3] : '' ?></p>
                    </div>
                </div>
                <div class="answer-item">
                    <span class="q-text">Курьер предупредил ли заранее о своем приезде?</span>
                    <div class="answer-box">
                        <p class="answer-txt"><?= array_key_exists($model->question4, DeliverySurvey::$values['question4'])
                                ? DeliverySurvey::$values['question4'][$model->question4] : '' ?></p>
                    </div>
                </div>
                <div class="answer-item">
                    <span class="q-text">Комментарий</span>
                    <div class="answer-box">
                        <p class="answer-txt"><?= Html::encode($model->comment) ?></p>
                    </div>
                </div>
                <?php if (false): ?>
                    <?php if ($model->status == DeliverySurvey::STATUS_TAKEN || $model->status == DeliverySurvey::STATUS_ACCEPTED || $model->status == DeliverySurvey::STATUS_REVISION): ?>
                        <div class="answer-item">
                            <span class="q-text">Комментарий 2-го уровня</span>
                            <div class="answer-box">
                                <p class="answer-txt"><?= Html::encode($model->revision_comment) ?></p>
                            </div>
                        </div>
                    <?php endif; ?>
                <?php endif; ?>
            </div>
            <?php $form = ActiveForm::begin([
                'id' => 'delivery-update-form',
            ]) ?>
            <?php if ($logs): ?>
                <div class="alert-history-container">
                    <p class="answer-title">История обработки Алерта</p>
                    <?php foreach ($logs as $item): ?>
                        <div class="history-item">
                            <p class="history-item-name">Время события:</p>
                            <p class="history-item-data"><?= date('d.m.Y H:m:s', $item->created_at) ?></p>
                        </div>
                        <div class="history-item">
                            <p class="history-item-name">ФИО:</p>
                            <p class="history-item-data"><?= $item->user->surname_name ?></p>
                        </div>
                        <div class="history-item">
                            <p class="history-item-name">Действие:</p>
                            <p class="history-item-data"><?= Log::$statuses[$item->status] ?></p>
                        </div>
                        <?php if (!empty($item->comment)): ?>
                            <div class="history-item">
                                <p class="history-item-name">Комментарий о выполненой работе:</p>
                                <p class="history-item-data alert-comment"><?= $item->comment ?></p>
                            </div>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>
            <?php if (Yii::$app->user->can('viewLogistics')): ?>
                <?php if ($model->status == DeliverySurvey::STATUS_NEW
                    || $model->status == DeliverySurvey::STATUS_TAKEN
                    || $model->status == DeliverySurvey::STATUS_EXPIRED
                    || $model->status == DeliverySurvey::STATUS_TAKEN
                    || $model->status == DeliverySurvey::STATUS_NOT_CLOSED
                    || $model->status == DeliverySurvey::STATUS_NOT_CLOSED_FINAL
                ): ?>
                    <?php if ($model->status == DeliverySurvey::STATUS_NEW
                        || $model->status == DeliverySurvey::STATUS_EXPIRED
                        || $model->status == DeliverySurvey::STATUS_NOT_CLOSED
                        || $model->status == DeliverySurvey::STATUS_NOT_CLOSED_FINAL
                    ): ?>
                        <div class="btn-wrapper take-to-work">
                            <button type="button" class="anket-btn">Взять в работу</button>
                        </div>
                    <?php endif; ?>
                    <?php if ($model->status == DeliverySurvey::STATUS_TAKEN): ?>
                        <div class="btn-wrapper complete-btn-wrapper" style="display: block">
                            <button type="button" class="anket-btn">Завершить выполнение</button>
                        </div>
                        <div class="comment-container">
                            <p>Комментарий сотрудника</p>
                            <textarea class="comment-field" name="comment" id="delivery-update-form"></textarea>
                            <span class="comment-error">Поле обязательно к заполнению</span>
                            <div class="send-btn-wrp">
                                <button type="submit" class="send-btn">Отправить</button>
                            </div>
                        </div>
                    <?php endif; ?>
                <?php endif; ?>
            <?php endif; ?>
            <?php if (Yii::$app->user->getIdentity()->can(2) && $model->status == DeliverySurvey::STATUS_CONFIRMATION): ?>
                <div class="comment-container" style="display: block">
                    <div class="btns-row">
                        <div class="btn-wrapper accepted" data-mode="accepted">
                            <button type="button" class="anket-btn">Принять</button>
                        </div>
                        <div class="btn-wrapper revision" data-mode="revision">
                            <button type="button" class="anket-btn">На доработку</button>
                        </div>
                    </div>
                    <div class="revision-comment" style="display: none">
                        <p>Комментарий</p>
                        <textarea class="comment-field" name="revision-comment" id="delivery-update-form"></textarea>
                    </div>
                    <div class="btn-wrapper confirmation-send">
                        <button type="button" class="anket-btn">Отправить</button>
                    </div>
                </div>
            <?php endif; ?>
            <?php ActiveForm::end() ?>
        </div>
    </div>
</div>

backend/views/delivery-survey/index.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use backend\views\widgets\DeliveryFilterWidget;
use yii\helpers\Url;
use common\models\DeliverySurvey;
use yii\widgets\LinkPager;
use yii\helpers\Json;

?>

<div class="container">
    <div class="header">
        <div class="navbar-aside">
            <div class="mobile-menu btn-aside-menu toggle-sidebar">
                <div class="b-menu">
                    <div class="b-bun b-bun--top"></div>
                    <div class="b-bun b-bun--mid"></div>
                    <div class="b-bun b-bun--bottom"></div>
                </div>
            </div>
        </div>
    </div>
    <?= $this->render('/site/sidebar', [
        'id' => $id,
    ]) ?>
    <div class="content" id="content">
        <div class="page-content">
            <?= DeliveryFilterWidget::widget([
                'showAlerts' => true,
                'title' => 'Опрос по доставке / Все анкеты',
                'filters' => $filters,
            ]) ?>
            <div class="search-row">
                <?php if (false): ?>
                    <button class="">
                        <?= Html::a('Создать', ['delivery-survey/create', 'token' => $token->token], ['class' => '']) ?>
                    </button>
                <?php endif; ?>
                <?php if (in_array(Yii::$app->user->id, Yii::$app->authManager->getUserIdsByRole('admin'))): ?>
                    <?php $form = ActiveForm::begin([
                        'action' => 'delivery-survey/upload',
                        'options' => ['enctype' => 'multipart/form-data'],
                    ]); ?>
                    <?= $form->field($uploadModel, 'xlsxFile')->fileInput() ?>
                    <button type="submit">Загрузить</button>
                    <?php ActiveForm::end() ?>
                    <?= Html::a("<button class=''>Отправить SMS</button>", ['delivery-survey/send-sms']); ?>
                <?php endif; ?>

                <?php if (false): ?>
                    <div class="search-wrap">
                        <form action="#">
                            <input type="text">
                            <button class="search-submit"></button>
                        </form>
                    </div>
                <?php endif; ?>
                <?php if (false): ?>
                    <a href="#" class="unload-wrap">
                        <div class="icon">
                        </div>
                        <div class="text">
                            <div class="big-text">
                                Выгрузка
                            </div>
                            <div class="small-text">
                                Скачать файл
                            </div>
                        </div>
                    </a>
                <?php endif; ?>

                <?= Html::a('<div class="icon"></div><div class="text"><div class="big-text">Выгрузка</div><div class="small-text">Скачать файл</div></div>',
                    ['delivery-survey/upload-xlsx'], [
                        'class' => 'unload-wrap',
                        'data-method' => 'post',
                        'data-params' => Json::encode([
                            'Form[deliveryDate]' => $filters['deliveryDate'],
                            'Form[transportCompanyId]' => $filters['transportCompanyId'],
                            'Form[statusDeliveryId]' => $filters['statusDeliveryId'],
                            'Form[timeRangeName]' => $filters['timeRangeName'],
                            'Form[factoryId]' => $filters['factoryId'],
                            'Form[areaId]' => $filters['areaId'],
                        ]),
                    ]) ?>

            </div>
            <div class="table-wrap">
                <div class="table-responsive">
                    <table>
                        <thead>
                        <tr>
                            <th>Индикатор<br>Алерта</th>
                            <th>Статус<br>Алерта</th>
                            <th>Номер <br>Алерта</th>
                            <th>Дата<br>опроса</th>
                            <th>Оценка <br>NPS</th>
                            <th class="long-col">Дата доставки</th>
                            <th>№ документа<br>CRM</th>
                            <th class="long-col">Статус доставки</th>
                            <th class="long-col">Наименование транспортной<br>компании</th>
                            <th>Временной диапазон<br>доставки</th>
                            <th>Название<br>почтового региона</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($deliverySurveys as $item): ?>
                            <tr class="<?= in_array($item->nps, DeliverySurvey::BAD_NPS, true) ? 'alert-row' : '' ?>">
                                <td>
                                    <a href="<?= Url::to(['delivery-survey/update', 'survey_id' => $item->survey_id]) ?>">
                                        <?php if (in_array($item->nps, DeliverySurvey::BAD_NPS, true)): ?>
                                            <div class="alert-label">!ALERT</div>
                                        <?php else: ?>
                                            <div>-</div>
                                        <?php endif; ?>
                                    </a>
                                </td>
                                <td><?= in_array($item->nps, DeliverySurvey::BAD_NPS, true) ? DeliverySurvey::$statusValues[$item->status] : '' ?></td>
                                <td><?= in_array($item->nps, DeliverySurvey::BAD_NPS, true) ? $item->survey_id : '' ?></td>
                                <td><?= date('d.m.Y h:m', $item->created_at) ?></td>
                                <td><?= $item->nps ?></td>
                                <td><?= date('d.m.Y h:m', $item->deliveryDoc->delivery_date) ?></td>
                                <td><?= $item->deliveryDoc->numdoc_crm ?></td>
                                <td><?= $item->deliveryDoc->statusDelivery->name ?></td>
                                <td><?= $item->deliveryDoc->transportCompany->name ?></td>
                                <td><?= $item->deliveryDoc->time_range ?></td>
                                <td><?= $item->deliveryDoc->area->name ?></td>
                            </tr>

                        <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if (false): ?>
                <div class="pagination-wrap">
                    <ul class="pagination">
                        <li class="prev disabled"><span>Назад</span></li>
                        <li class="active"><a href="#" data-page="0">1</a></li>
                        <li><a href="#" data-page="1">2</a></li>
                        <li><a href="#" data-page="2">3</a></li>
                        <li><a href="#" data-page="3">4</a></li>
                        <li class="next"><a href="#" data-page="1">Далее</a></li>
                    </ul>
                </div>
            <?php endif; ?>
            <div class="pagination-wrap">
                <?= LinkPager::widget([
                    'pagination' => $pages,
                ]) ?>
            </div>
        </div>
    </div>
</div>